-- SQL meta schema for Workflow by Example

DROP SCHEMA wbe CASCADE;
CREATE SCHEMA wbe;

-- WbE Script: a wbe script and its meta information
create table wbe.script ( 
	id SERIAL PRIMARY KEY,				-- script ID
	program_id INTEGER,					-- parent WbE program
	lineage TEXT,						-- script's place in tree
	numinputs INTEGER,					-- # inputs for script 
	numoutputs INTEGER,					-- # outputs for script
	length INTEGER,						-- # steps for script
	script TEXT							-- script body
);

-- WbE Program: a named collection of scripts
create table wbe.program (
	id SERIAL PRIMARY KEY,				-- program ID
	name TEXT 							-- script name
);
