package airspaceGUI.base.test;

import javax.swing.JFrame;

import junit.framework.Test;
import junit.framework.TestSuite;

import airspaceGUI.base.event.AgentPanel;
import airspaceGUI.model.AgentModel;
import airspaceGUI.model.MeetingModel;


public class AgentPanelTest extends SubPanelTest
{
    JFrame frame = new JFrame();
    
    public static Test suite() {
        TestSuite suite = new TestSuite("CorpusGUI Tests");

        // add individual test classes
        suite.addTestSuite(AgentPanelTest.class);

        return suite;
    }

    protected void setUp() throws Exception {
        super.setUp();
        
        if (this.getClass().equals(DataKeeper.lastClass))
        {
            DataKeeper.meetingModel = new MeetingModel(session);
            DataKeeper.agentModel = new AgentModel(session);
            
            DataKeeper.lastClass = this.getClass();
        }
        
        if (thisPanel == null)
        {
            thisPanel = new AgentPanel(session, DataKeeper.agentModel, DataKeeper.meetingModel);
            frame.getContentPane().add(thisPanel.getPane());
            frame.pack();
        }
        frame.setVisible(true);
    }

    protected void tearDown() throws Exception {
        super.tearDown();
        frame.setVisible(false);
       /* if (session.isDirty())
        {
            synchronized (session){
                session.getTransaction().rollback();
                //session.flush(); 
                session.beginTransaction();
                }
            frame.getContentPane().remove(thisPanel);
            thisPanel = null;
        }*/
    }


    public void testDeleteDisplayedObject() {
       //fail("The agent mapping file is broken, try at your own risk");
        // if the line below is uncommented it will cause not only this test to
        //fail, but ALL tests run after it to explode
        super.testDeleteDisplayedObject();
    }
    
}
