/**
 * 
 */
package airspaceGUI.base.test;

import javax.swing.SpinnerNumberModel;

import airspaceGUI.expansion.NumberSpinnerWithNull;


import junit.framework.TestCase;

/**
 * @author srbennet
 *
 */
public class NumberSpinnerWithNullTest extends TestCase
{

    /* (non-Javadoc)
     * @see junit.framework.TestCase#setUp()
     */
    protected void setUp() throws Exception {
        super.setUp();
        snm = new SpinnerNumberModel();
        /*snm.setMaximum(new Integer(10));
        snm.setMinimum(new Integer(-1));*/
        nswn = new NumberSpinnerWithNull(snm);
    }

    /* (non-Javadoc)
     * @see junit.framework.TestCase#tearDown()
     */
    protected void tearDown() throws Exception {
        super.tearDown();
    }

    NumberSpinnerWithNull nswn;
    SpinnerNumberModel snm;
    
    /**
     * Test method for {@link airspaceGUI.expansion.NumberSpinnerWithNull#NumberSpinnerWithNull(javax.swing.SpinnerNumberModel)}.
     */
    /*public void testNumberSpinnerWithNullSpinnerNumberModel() {
        assertTrue(nswn.getModel().equals(snm));
    }*/

    /**
     * Test method for {@link airspaceGUI.expansion.NumberSpinnerWithNull#getValue()}.
     */
    public void testGetValue() {
        NumberSpinnerWithNull nswn = new NumberSpinnerWithNull();
        Object thisValue = nswn.getValue();
        Object nextValue = nswn.getNextValue();
        nswn.setValue(nextValue);
        assertTrue(nextValue.equals(nswn.getValue()));
        assertTrue(thisValue.equals(nswn.getPreviousValue()));
    }

    /**
     * Test method for {@link airspaceGUI.expansion.NumberSpinnerWithNull#setValue(java.lang.Object)}.
     * Test method for {@link airspaceGUI.expansion.NumberSpinnerWithNull#getNextValue()}.
     * Test method for {@link airspaceGUI.expansion.NumberSpinnerWithNull#getNextValue()}.
     */
    public void testSetValueObject() {
        NumberSpinnerWithNull nswn = new NumberSpinnerWithNull();
        Object thisValue = nswn.getValue();
        Object nextValue = nswn.getNextValue();
        nswn.setValue(nextValue);
        assertTrue(nextValue.equals(nswn.getValue()));
        assertTrue(thisValue.equals(nswn.getPreviousValue()));
        nswn.setValue(thisValue);
        assertTrue(thisValue.equals(nswn.getValue()));
        assertTrue(nextValue.equals(nswn.getNextValue()));
    }

    /**
     * Test method for {@link airspaceGUI.expansion.NumberSpinnerWithNull#getNextValue()}.
     */
    /*public void testGetNextValue() {
        fail("Not yet implemented"); // TODO
    }

    /**
     * Test method for {@link airspaceGUI.expansion.NumberSpinnerWithNull#getPreviousValue()}.
     */
    /*public void testGetPreviousValue() {
        fail("Not yet implemented"); // TODO
    }*/

}
