package airspaceGUI.model;

import java.util.ArrayList;
import java.util.Collection;
import java.util.Iterator;
import java.util.List;

import org.hibernate.Session;
import org.hibernate.criterion.Order;
import org.hibernate.persister.entity.SingleTableEntityPersister;

import edu.cmu.radar.base.Gathering;

public class GatheringModel extends ArrayList
{

    private transient final List gatheringList = new ArrayList();
    
    public GatheringModel(final Session s)
    {
        super();
        List rawEvents = s.createCriteria(Gathering.class).addOrder(
                Order.asc("id")).list();
        
        for(int i = 0; i < rawEvents.size(); i++)
        {
           gatheringList.add(rawEvents.get(i));
        }
        
        //gatheringList.removeAll(s.createCriteria(Gathering.class).list());
    }

    /* (non-Javadoc)
     * @see java.util.ArrayList#add(int, java.lang.Object)
     */
    public void add(int index, Object obj) {
        gatheringList.add(index, obj);
    }

    /* (non-Javadoc)
     * @see java.util.ArrayList#add(java.lang.Object)
     */
    public boolean add(final Object arg0) {
        return gatheringList.add(arg0);
    }

    /* (non-Javadoc)
     * @see java.util.ArrayList#addAll(java.util.Collection)
     */
    public boolean addAll(final Collection arg0) {
        return gatheringList.addAll(arg0);
    }

    /* (non-Javadoc)
     * @see java.util.ArrayList#addAll(int, java.util.Collection)
     */
    public boolean addAll(final int arg0, final Collection arg1) {
        return gatheringList.addAll(arg0, arg1);
    }

    /* (non-Javadoc)
     * @see java.util.ArrayList#contains(java.lang.Object)
     */
    public boolean contains(final Object arg0) {
        return gatheringList.contains(arg0);
    }

    /* (non-Javadoc)
     * @see java.util.ArrayList#get(int)
     */
    public Object get(final int arg0) {
        return gatheringList.get(arg0);
    }

    /* (non-Javadoc)
     * @see java.util.ArrayList#indexOf(java.lang.Object)
     */
    public int indexOf(final Object arg0) {
        return gatheringList.indexOf(arg0);
    }

    /* (non-Javadoc)
     * @see java.util.ArrayList#isEmpty()
     */
    public boolean isEmpty() {
        return gatheringList.isEmpty();
    }

    /* (non-Javadoc)
     * @see java.util.AbstractList#iterator()
     */
    public Iterator iterator() {
        return gatheringList.iterator();
    }

    /* (non-Javadoc)
     * @see java.util.ArrayList#remove(int)
     */
    public Object remove(final int arg0) {
        return gatheringList.remove(arg0);
    }

    /* (non-Javadoc)
     * @see java.util.ArrayList#remove(java.lang.Object)
     */
    public boolean remove(final Object arg0) {
        return gatheringList.remove(arg0);
    }

    /* (non-Javadoc)
     * @see java.util.ArrayList#set(int, java.lang.Object)
     */
    public Object set(final int arg0, final Object arg1) {
        return gatheringList.set(arg0, arg1);
    }

    /* (non-Javadoc)
     * @see java.util.ArrayList#size()
     */
    public int size() {
        return gatheringList.size();
    }

    
}
