package airspaceGUI.base.test;

import javax.swing.JFrame;

import junit.framework.Test;
import junit.framework.TestSuite;
import airspaceGUI.base.event.AbstractMeetingPanel;
import airspaceGUI.model.MeetingModel;

public class AbstractMeetingPanelTest extends SubPanelTest
{

    JFrame frame = new JFrame();
    
    public static Test suite() {
        TestSuite suite= new TestSuite("CorpusGUI Tests");

        //add individual test classes
        suite.addTestSuite(AbstractMeetingPanelTest.class);
        
        return suite;
    }
    
    protected void setUp() throws Exception {
        super.setUp();
        if (thisPanel == null)
        {
            if(!this.getClass().equals(DataKeeper.lastClass))
            {
                DataKeeper.meetingModel = new MeetingModel(session);
                DataKeeper.lastClass = this.getClass();
              }
            //session.evict(meetingModel);
            thisPanel = new AbstractMeetingPanel(session, DataKeeper.meetingModel);
            frame.getContentPane().add(thisPanel.getPane());
            frame.pack();
        }
        frame.setVisible(true);
    }

    protected void tearDown() throws Exception {
        super.tearDown();
        frame.setVisible(false);
    }

    
    public void testDeleteDisplayedObject(){
        super.testDeleteDisplayedObject();
    }
}
