/**
 * 
 */
package airspaceGUI.base.test;

import junit.framework.Test;
import junit.framework.TestSuite;
import airspaceGUI.base.event.EventPanel;
import airspaceGUI.model.GatheringModel;
import airspaceGUI.model.PeopleModel;

/**
 * @author srbennet
 *
 */
public class EventPanelTest extends EventPanelCmradarTest
{
    
    public static Test suite() {
        TestSuite suite= new TestSuite("CorpusGUI Tests");

        //add individual test classes
        suite.addTestSuite(EventPanelTest.class);
        
        return suite;
    }

    protected void setUp() throws Exception {
        super.setUp();
        //save the flush mode to restore later
//        flushMode = session.getFlushMode();
        if (thisPanel == null)
        {
            if (!this.getClass().equals(DataKeeper.lastClass)){
                //System.out.println("new gathering");
                DataKeeper.gatheringModel = new GatheringModel(session);
                //System.out.println("new people");
                DataKeeper.peopleModel = new PeopleModel(session);
                DataKeeper.lastClass = this.getClass();
            }

            thisPanel = new EventPanel(session, null, DataKeeper.gatheringModel, DataKeeper.peopleModel);
            frame.getContentPane().add(thisPanel.getPane());
            frame.pack();
        }
        frame.setVisible(true);
//        session.setFlushMode(FlushMode.ALWAYS);
//        session.setCacheMode(CacheMode.NORMAL);
    }

    protected void tearDown() throws Exception {
        super.tearDown();
        frame.setVisible(false);
    }

}
