package airspaceGUI.base.test;

import javax.swing.JFrame;

import junit.framework.Test;
import junit.framework.TestSuite;

import airspaceGUI.base.event.GatheringPanel;
import airspaceGUI.model.GatheringModel;
import airspaceGUI.model.PeopleModel;

public class GatheringPanelTest extends SubPanelTest
{
    
    JFrame frame = new JFrame();

    public static Test suite() {
        TestSuite suite= new TestSuite("CorpusGUI Tests");

        //add individual test classes
        suite.addTestSuite(GatheringPanelTest.class);
        
        return suite;
    }
    
    protected void setUp() throws Exception {
        super.setUp();
        if (thisPanel == null)
        {
            if(!this.getClass().equals(DataKeeper.lastClass)){
                DataKeeper.gatheringModel = new GatheringModel(session);
                DataKeeper.peopleModel = new PeopleModel(session);
                DataKeeper.lastClass = this.getClass();
                }
            thisPanel = new GatheringPanel(session, DataKeeper.gatheringModel, DataKeeper.peopleModel);
            frame.getContentPane().add(thisPanel.getPane());
            frame.pack();
        }
        frame.setVisible(true);
    }

    protected void tearDown() throws Exception {
        super.tearDown();
        frame.setVisible(false);

    }

}
